import request from '@/utils/request'

// 查询专利数据整理历史列表
export function listDPatentDataCollationLog(query) {
  return request({
    url: '/adjust/dPatentDataCollationLog/list',
    method: 'get',
    params: query
  })
}

// 查询专利数据整理历史详细
export function getDPatentDataCollationLog(id) {
  return request({
    url: '/adjust/dPatentDataCollationLog/' + id,
    method: 'get'
  })
}

// 新增专利数据整理历史
export function addDPatentDataCollationLog(data) {
  return request({
    url: '/adjust/dPatentDataCollationLog',
    method: 'post',
    data: data
  })
}

// 修改专利数据整理历史
export function updateDPatentDataCollationLog(data) {
  return request({
    url: '/adjust/dPatentDataCollationLog',
    method: 'put',
    data: data
  })
}

// 删除专利数据整理历史
export function delDPatentDataCollationLog(id) {
  return request({
    url: '/adjust/dPatentDataCollationLog/' + id,
    method: 'delete'
  })
}
